## wmmoonclock 1.27

=== Src/Makefile ===
CC     = gcc
CFLAGS = -O2
INCDIR = -I/usr/X11R6/include/X11
DESTDIR= /usr/X11R6
LIBDIR = -L/usr/X11R6/lib

# for Linux
LIBS   = -lXpm -lX11 -lXext

# for Solaris
# LIBS   = -lXpm -lX11 -lXext -lsocket

OBJS   = wmMoonClock.o CalcEphem.o Moon.o MoonRise.o \
         xutils.o


.c.o:
	$(CC) $(CFLAGS) -D$(shell echo `uname -s`) -c $< -o $*.o $(INCDIR)


all:	wmMoonClock.o wmMoonClock

wmMoonClock.o: wmMoonClock_master.xpm wmMoonClock_mask.xbm CalcEphem.h
wmMoonClock:	$(OBJS) 
	$(CC) $(COPTS) $(SYSTEM) -lm -o wmMoonClock $^ $(INCDIR) $(LIBDIR) $(LIBS)

clean:
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmMoonClock

install:: wmMoonClock
	install -s -m 0755 wmMoonClock $(DESTDIR)/bin
	install    -m 0644 wmMoonClock.1 $(DESTDIR)/man/man1

=== debian/changelog ===
wmmoonclock (1.27-30) unstable; urgency=low

  * New maintainer (Closes: #588837)
  * Standard version is now 3.9.2
    * Package is now lintian clean
    * new wmmoonclock.{manpages, menu} files
  * Added text info about upstream version in watch
  * debian/copyright is now DEP-5
  * debian/patches are now DEP-3

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Sun, 7 Aug 2011 15:41:54 +0200

wmmoonclock (1.27-29) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump standards version to 3.8.4.
  * Add ${misc:Depends} to the binary dependencies.
  * Allow Debian maintainers uploads.

 -- Denis Briand <denis@narcan.fr>  Sun, 14 Mar 2010 18:30:16 +0100

wmmoonclock (1.27-28) unstable; urgency=low

  * Add southern hemisphere support (Closes: #537480).
    Thanks to Alvaro Steiger.
  * Bump standards version to 3.8.2.0
  * Add quilt patch system.
  * Add patches:
    + 01_all_previous_diff.diff
    + 02_update_time.diff
    + 03_add_southern_hemisphere_support.diff
    + 04_fix_hyphen_used_as_minus_sign.diff
  * Add debhelper 7 build depends.
  * Add debian/compat file.
  * Remove trailing whitespaces in changelog.upstream.
  * Add an empty watch file (no upstream repository).
  * Improve rules file by using more debhelper commands.
  * Remove Martin A. Godisch from uploaders field
    Thanks to him to have sponsored wmmoonclock.

 -- Denis Briand <denis@narcan.fr>  Sun, 26 Jul 2009 10:30:00 +0200

wmmoonclock (1.27-27) unstable; urgency=low

  * Add co-maintainer Martin A. Godisch.
  * Fix versionless symlink license in debian/copyright

 -- Denis Briand <denis@narcan.fr>  Fri, 10 Apr 2009 18:43:04 +0200

wmmoonclock (1.27-26) unstable; urgency=low

  * New maintainer, closes: #455542.
  * ajusted nMax values, closes: #479229.
    Thanks to Joerg Dietrich
  * Updated standards version to 3.8.1

 -- Denis Briand <denis@narcan.fr>  Fri, 20 Mar 2009 17:32:50 +0100

wmmoonclock (1.27-25) unstable; urgency=low

  * Removed db_purge in postrm, see: #502521.
    Thanks to Cesare Tirabassi.
  * Fixed copyright file.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Oct 2008 10:02:17 +0100

wmmoonclock (1.27-24) unstable; urgency=low

  * Enhanced display refresh rate, closes: #446680.
    Thanks to Peter Colberg.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 10 Dec 2007 18:25:50 +0100

wmmoonclock (1.27-23) unstable; urgency=low

  * Changed display refresh rate to 100 ms, closes: #440406.
  * Updated menu section.
  * Fixed distclean target.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Oct 2007 09:22:20 +0200

wmmoonclock (1.27-22) unstable; urgency=low

  * Fixed postrm, closes: #417144.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 01 Apr 2007 19:30:02 +0200

wmmoonclock (1.27-21) unstable; urgency=low

  * Removed debconf, added README.Debian, closes: #375082, #414244.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 25 Mar 2007 10:40:39 +0200

wmmoonclock (1.27-20) unstable; urgency=low

  * Updated Japanese debconf translation, closes: #411269.
    Thanks to Hideki Yamane.
  * Updated Spanish debconf translation, closes: #411803.
    Thanks to Carlos Alberto.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 24 Feb 2007 07:17:14 +0100

wmmoonclock (1.27-19) unstable; urgency=low

  * Updated French debconf translation, closes: #410941.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 17 Feb 2007 06:30:25 +0100

wmmoonclock (1.27-18) unstable; urgency=low

  * Updated French debconf translation, closes: #410429.
    Thanks to Christian Perrier.
  * Updated Czech debconf translation, closes: #410532.
    Thanks to Miroslav Kure.
  * Updated Portuguese debconf translation, closes: #410455.
    Thanks to Miguel Figueiredo.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 13 Feb 2007 19:05:57 +0100

wmmoonclock (1.27-17) unstable; urgency=low

  * Added Nederlands debconf translation, closes: #375079.
    Thanks to Esther Hanko.
  * Fixed longitude/latitude information URL, closes: #401872.
    Thanks to Jacopo.
  * Added Portuguese debconf translation, closes: #408811.
    Thanks to Miguel Figueiredo.
  * Updated German debconf translation.
  * Updated debian files, fixed timestamps.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 09 Feb 2007 19:54:30 +0100

wmmoonclock (1.27-16) unstable; urgency=low

  * Updated build-dependencies according to xlibs-dev transition.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 30 Nov 2005 19:12:10 +0100

wmmoonclock (1.27-15) unstable; urgency=low

  * Added Vietnamese debconf translation, closes: #324132.
    Thanks to Clytie Siddall.
  * Added Swedish debconf translation, closes: #331189.
    Thanks to Daniel Nylander.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 05 Oct 2005 19:42:45 +0200

wmmoonclock (1.27-14) unstable; urgency=low

  * Added Czech debconf translation, closes: #294733.
    Thanks to Miroslav Kure.
  * Fixed POSIX compliance of debian/rules.
  * Removed watch file, upstream homepage is gone.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 11 Feb 2005 22:17:45 +0100

wmmoonclock (1.27-13) unstable; urgency=low

  * Added Japanese debconf translation, closes: #236820.
    Thanks to Hideki Yamane.
  * Removed ucf/debconf and lintian workarounds.
  * Updated debian/menu, debian/rules, and standards version.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 08 Mar 2004 16:41:48 +0100

wmmoonclock (1.27-12) unstable; urgency=low

  * Added Spanish debconf translation, closes: #201004.
    Thanks to Carlos Alberto Martín Edo.
  * Simplified ucf handling, see bug #199233, adjusted ucf dependency.
  * Removed useless BUGS file.
  * Converted debian/changelog to UTF-8.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 27 Jul 2003 15:57:02 +0200

wmmoonclock (1.27-11) unstable; urgency=low

  * Improved ucf transition.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 29 Jun 2003 10:24:05 +0200



=== debian/control ===
Source: wmmoonclock
Section: x11
Priority: optional
Maintainer: Rodolfo García Peñas (kix) <kix@kix.es>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.2

Package: wmmoonclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wmsun, wmaker | afterstep
Description: WindowMaker moon phase dockapp
 wmMoonClock displays a small pixmap of the current phase of the moon.
 You have to enter your Latitude and Longitude for it to work correctly.
 wmMoonClock is designed to work with the WindowMaker dock, but will
 work with other window managers as well.

=== debian/rules ===
#!/usr/bin/make -f
# GNU Copyright 2011 Rodolfo García Peñas (kix) <kix@kix.es>

# export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
	$(MAKE) -C Src clean
	dh_clean

override_dh_auto_install:
	$(MAKE) -C Src install DESTDIR=$(CURDIR)/debian/wmmoonclock
	ln -s wmMoonClock      $(CURDIR)/debian/wmmoonclock/usr/bin/wmmoonclock
	ln -s wmMoonClock.1.gz $(CURDIR)/debian/wmmoonclock/usr/share/man/man1/wmmoonclock.1.gz

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream upstream

## wmmoonclock 1.28

=== debian/changelog ===
wmmoonclock (1.28-1) unstable; urgency=low

  * New upstream version 1.28 (debian patches are now in upstream)
    * Solves the problem: fix build with ld --as-needed [Closes: #647512]

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Tue, 20 Sep 2011 11:14:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: x11
 Priority: optional
 Maintainer: Rodolfo García Peñas (kix) <kix@kix.es>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxext-dev, libxpm-dev
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
	$(MAKE) -C src clean
	dh_clean

override_dh_auto_install:
	$(MAKE) -C src install DESTDIR=$(CURDIR)/debian/wmmoonclock
	ln -s wmMoonClock      $(CURDIR)/debian/wmmoonclock/usr/bin/wmmoonclock
	ln -s wmMoonClock.1.gz $(CURDIR)/debian/wmmoonclock/usr/share/man/man1/wmmoonclock.1.gz

override_dh_installchangelogs:
	dh_installchangelogs changelog upstream

## wmmoonclock 1.28+20120605

=== src/Makefile ===
CC     = gcc
# CFLAGS = -O2
INCDIR = -I/usr/X11R6/include/X11
DESTDIR= /usr/X11R6
LIBDIR = -L/usr/X11R6/lib

# for Linux
LIBS   = -lXpm -lX11 -lXext -lm

# for Solaris
# LIBS   = -lXpm -lX11 -lXext -lm -lsocket

OBJS   = wmMoonClock.o CalcEphem.o Moon.o MoonRise.o \
         xutils.o


.c.o:
	$(CC) $(CFLAGS) -D$(shell echo `uname -s`) -c $< -o $*.o $(INCDIR)


all:	wmMoonClock.o wmMoonClock

wmMoonClock.o: wmMoonClock_master.xpm wmMoonClock_mask.xbm CalcEphem.h
wmMoonClock:	$(OBJS) 
	$(CC) $(CFLAGS) $(SYSTEM) -o wmMoonClock $^ $(INCDIR) $(LIBDIR) $(LIBS)

clean:
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmMoonClock

install:: wmMoonClock
	install -d -m 0755 $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/man/man1
	install    -m 0755 wmMoonClock $(DESTDIR)/usr/bin
	install    -m 0644 wmMoonClock.1 $(DESTDIR)/usr/share/man/man1

=== debian/changelog ===
wmmoonclock (1.28+20120605-1) unstable; urgency=low

  * New upstream release (from git).
    - Updates the FSF address only, no code changes.
  * debian/control
    * Updated maintainer email address from kix@kix.es to kix@debian.org.
    * Bump Standards-Version to 3.9.4.
    * Debhelper compatibility bumped to 9.
    * Added Vcs-Git and Vcs-Browser fields.
    * Added Homepage field.
  * debian/rules
    * Added DEB_CFLAGS_MAINT_APPEND for Hardening.

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Sun, 21 Jul 2013 16:00:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: wmmoonclock
 Section: x11
 Priority: optional
-Maintainer: Rodolfo García Peñas (kix) <kix@kix.es>
-Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxext-dev, libxpm-dev
-Standards-Version: 3.9.2
+Maintainer: Rodolfo García Peñas (kix) <kix@debian.org>
+Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
+Standards-Version: 3.9.4
+Homepage: http://windowmaker.org/
+Vcs-Git: git://repo.or.cz/dockapps.git
+Vcs-Browser: http://repo.or.cz/r/dockapps.git
 
 Package: wmmoonclock
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # export DH_VERBOSE=1
+
+export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@

=== debian/watch ===
# The upstream version is now in http://repo.or.cz/w/dockapps.git

## wmmoonclock 1.29

=== debian/changelog ===
wmmoonclock (1.29-1) unstable; urgency=medium

  * New maintainer (Closes: #866849).
  * New upstream release.
  * debian/compat
    - Bump debhelper compatibility level to 10.
  * debian/control
    - Bump versioned dependency on debhelper to >= 10.
    - Bump Standards-Version to 4.0.1.
    - Update Homepage and Vcs-*.
    - Revise Description.
    - Sort entries with wrap-and-sort.
    - Add pkg-config to Build-Depends.
  * debian/copyright
    - Update Format, Upstream-Contact, and Source.
  * debian/docs
    - New file; install documentation.
  * debian/links
    - New file; link the manpage so that it matches the name of the
      executable.
  * debian/patches/fix-typo.patch
    - New patch; fix typo.
  * debian/README.Debian
    - Remove blurb about deprecated Debian menu.
  * debian/rules
    - Remove old override targets; no longer necessary.
  * debian/wmmoonclock.manpages
    - Remove file; no longer necessary.
  * debian/watch
    - Update with new download location.
  * debian/wmmoonclock.menu
    - Remove file; the Debian menu has been deprecated.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 14 Aug 2017 20:43:53 -0400

=== debian/control ===
Source: wmmoonclock
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 10),
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               pkg-config
Standards-Version: 4.0.1
Homepage: http://www.dockapps.net/wmmoonclock
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmmoonclock.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmmoonclock.git

Package: wmmoonclock
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: wmaker | afterstep, wmsun
Description: Window Maker moon phase dockapp
 wmMoonClock displays a small pixmap of the current phase of the moon.
 You have to enter your latitude and longitude for it to work correctly.
 wmMoonClock is designed to work with the Window Maker dock, but will
 work with other window managers as well.

## wmmoonclock 1.30

=== debian/changelog ===
wmmoonclock (1.30-4) unstable; urgency=medium

  * d/patches: add patch to fix pre-ANSI function declarations
    (Closes: #1098106)

 -- Jeremy Sowden <azazel@debian.org>  Thu, 27 Feb 2025 21:06:47 +0000

wmmoonclock (1.30-3) unstable; urgency=medium

  * d/control
    + update my e-mail address
    + bump Standards-Version to 4.7.0
    + replace pkg-config build-dep with pkgconf
  * d/patches: add patch to correct types of pointers passed to `gmtime(3)`
    (Closes: #1091282)

 -- Jeremy Sowden <azazel@debian.org>  Tue, 24 Dec 2024 16:28:17 +0000

wmmoonclock (1.30-2) unstable; urgency=medium

  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Bump debhelper compatibility level to 13.
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Add myself to copyright holders for debian/*.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 18 Oct 2021 05:35:31 -0400

wmmoonclock (1.30-1) unstable; urgency=medium

  [ Doug Torrance ]
  * Update Vcs-* after migration to Salsa.

  [ Jeremy Sowden ]
  * New upstream version 1.30.
    - fixes GCC-10 FTBFS (closes: #957950).
  * Add myself to uploaders.
  * Bump Standards-Version to 4.5.0.
  * Bumped compat to 12 and replaced d/compat with b-d on debhelper-compat.
  * Add Rules-requires-root: no.
  * Add hardening to d/rules.
  * Update d/watch URL to https.
  * Remove upstreamed typo patch.
  * Update Upstream-Contact.

  [ Andreas Metzler ]
  * Also use https in control/Homepage and copyright/Source fields.

 -- Jeremy Sowden <jeremy@azazel.net>  Thu, 23 Apr 2020 14:36:00 +0100

=== debian/control ===
Source: wmmoonclock
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
           Jeremy Sowden <azazel@debian.org>
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               pkgconf
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://www.dockapps.net/wmmoonclock
Vcs-Git: https://salsa.debian.org/wmaker-team/wmmoonclock.git
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmmoonclock

Package: wmmoonclock
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: wmaker | afterstep, wmsun
Description: Window Maker moon phase dockapp
 wmMoonClock displays a small pixmap of the current phase of the moon.
 You have to enter your latitude and longitude for it to work correctly.
 wmMoonClock is designed to work with the Window Maker dock, but will
 work with other window managers as well.
